Press one or more keys on the host computer
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/press_key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"<string>"
],
"duration": 0,
"hold_keys": [
"<string>"
]
}
'import requests
url = "https://api.onkernel.com/browsers/{id}/computer/press_key"
payload = {
"keys": ["<string>"],
"duration": 0,
"hold_keys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keys: ['<string>'], duration: 0, hold_keys: ['<string>']})
};
fetch('https://api.onkernel.com/browsers/{id}/computer/press_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browsers
Press one or more keys on the host computer
POST
/
browsers
/
{id}
/
computer
/
press_key
Press one or more keys on the host computer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
List of key symbols to press. Each item should be a key symbol supported by xdotool (see X11 keysym definitions). Examples include "Return", "Shift", "Ctrl", "Alt", "F5". Items in this list could also be combinations, e.g. "Ctrl+t" or "Ctrl+Shift+Tab".
Duration to hold the keys down in milliseconds. If omitted or 0, keys are tapped.
Required range:
x >= 0Optional modifier keys to hold during the key press sequence.
Response
Keys pressed successfully
Type text on the browser instance
Previous
Scroll the mouse wheel at a position on the host computer
Next
⌘I

